dvdisaster Version 0.70 | To the Internet version

Contents
Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
| - | as a file
| - | within the image
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information
|  | ### Augmenting the image with error correction data Using the RS02 error correction method error correction data can be stored on the same medium with the protected data. This requires the image to be processed with dvdisaster prior to writing it on the medium. Create the image on hard disk using your favourite CD/DVD writing software. Then use dvdisaster to augment the image with error correction information and finally write the augmented image to the medium:
1. | Use your favourite CD/DVD writing software to create an ISO or UDF image on your hard disk. Using other image types may lead to data loss! |
2. | Choose the image file you have created. | The symbol opens the file chooser.
3. | Configure the error correction. Choose "Storage method: Augmented image (RS02)." |
4. | Click on the "Create" button to generate the error correction data. |
5. | Watch the progress of the error correction file generation. |
6. | Use your CD/DVD writing software to transfer the augmented image to the medium. |
Your writing software may not be compatible with the augmented image and destroy the error correction information. At least when writing the first medium, perform the following check:
1. | Select the drive which contains the previously written medium. |
2. | Select a new name for the image file (not the name of the image which has been written to the medium!) | The symbol opens the file chooser.
3. | Click on the "Read" button to start the reading process. |
4. | Watch the reading progress in the graphical representation. |
5. | When reading has finished, click the "Verify" button. This will verify the error correction information in the image read from the medium. |
4. | Watch the comparison progress. If the verification finishes without error messages, your CD/DVD writing software is compatible with the augmented images. |
### Augmenting the image with error correction data (using the command line) Create an image of the data to be protected. Use your favourite CD/DVD writing software to create an ISO or UDF image on your hard disk. Using other image types may lead to data loss! Append the error correction data to the image. This requires the following parameters (defaults are given in parenthesis):
-c/ --create | Create the error correction data
-m / --method | Select the error correction method
-n / --redundancy | maximum medium size in sectors (size of smallest possible medium)
When you have created the image "image.iso" using the CD/DVD writing software, enter:
user@linux> dvdisaster -c -mRS02 -i image.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnoerlich. [... remainder of the GPL announcement ...] Opening /dvd/image.iso: 284234 medium sectors. Augmending image with Method RS02: 555M data, 143M ecc (52 roots; 25.6% redundancy) Calculating sector checksums: 100% Expanding image: 100% Ecc generation: 100.0% Image has been appended with error correction data. New image size is 357818 sectors.
Write the image to the medium. Use your CD/DVD writing software to transfer the augmented image to the medium. Your writing software may not be compatible with the augmented image and destroy the error correction information. At least when writing the first medium, perform the following check: Re-read the image with dvdisaster after burning the medium:
-r/ --read | Read
-d / --device | Drive selection (/dev/cdrom)
-i / --image | Image file (medium.iso)
user@linux> dvdisaster -r -d/dev/hdc -i image-new.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnoerlich. [... remainder of the GPL announcement ...] Device: /dev/hdc, ATAPI DVD+RW 8X4X12 B2K7 Medium: Data CD Mode 1, 357818 sectors, 1 layer(s) Creating new image-new.iso image. Waiting 5 seconds for drive to spin up... Read position: 100.0% ( 6.3x) All sectors successfully read.
Check the image:
-t/ --test | Check the image
-i / --image | Image file (medium.iso)
user@linux> dvdisaster -t -i image-new.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. [... remainder of the GPL announcement ...] dvd/new-image.iso: present, contains 357818 medium sectors. - good image : all sectors present - data md5sum : 4eca3615a88a11ba68466226295c4bcb Error correction data: created by dvdisaster-0.66 - method : RS02, 52 roots, 25.6% redundancy. - requires : dvdisaster-0.65 (good) - data md5sum : 4eca3615a88a11ba68466226295c4bcb (good) - crc md5sum : 9776489c12e12cbabfe5145da4f6ae66 (good) - ecc md5sum : e975aed39c962eeabedd9d6cbdbfc45e (good)

Copyright 2004-2006 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.